## xclip 0.08

=== Makefile ===
# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.5 2000/08/18 04:03:59 coskrey Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.102 2001/04/26 21:09:38 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.66 2001/04/18 16:13:17 dawes Exp $

# Keep cpp from replacing path elements containing i486/i586/i686

#  for compatibility with 3.3.x

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.23 2000/03/31 22:55:15 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.172 2001/02/26 18:27:56 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $Xorg: linux.cf,v 1.3 2000/08/17 19:41:47 cpqbld Exp $

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.165 2001/04/19 19:54:43 dawes Exp $

# operating system:  Linux 2.4.16 i686 [ELF] (2.4.16)
# libc:	(6.2.4)
# binutils:	(31)

# $Xorg: lnxLib.rules,v 1.3 2000/08/17 19:41:47 cpqbld Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.40 2001/02/16 01:26:08 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.360 2001/05/19 00:26:41 dawes Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.32 2000/10/30 23:02:06 tsi Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.23 2000/03/31 22:55:15 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.94.2.1 2001/07/28 15:06:39 dawes Exp $

 _NULLCMD_ = @ echo -n

GLIDE2INCDIR = /usr/include/glide

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME = tk8.3

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.3

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = RmanCmd
      RMANOPTIONS = RmanOptions
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSUFFIX)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSUFFIX)
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
           RAWCPP = /lib/cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
    MISCMANSUFFIX = 7
  DRIVERMANSUFFIX = 4
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__filemansuffix__=$(FILEMANSUFFIX) -D__miscmansuffix__=$(MISCMANSUFFIX) -D__drivermansuffix__=$(DRIVERMANSUFFIX) -D__projectroot__=$(PROJECTROOT) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b
            MODCC = gcc
           MODCPP = /lib/cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = as
       MODASFLAGS =
            MODLD = ld
       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq
        MODRANLIB = ranlib

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2 -fno-strength-reduce
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =
   DEPEND_DEFINES = -DUSE_MAKEDEPEND

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include
        TKLIBNAME = tk8.3
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include
       TCLLIBNAME = tcl8.3
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $Xorg: X11.rules,v 1.4 2000/08/17 19:41:46 cpqbld Exp $

# $XFree86: xc/config/cf/X11.rules,v 1.5 2000/11/06 19:24:00 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $Xorg: X11.tmpl,v 1.6 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.115.2.2 2001/05/29 18:21:57 dawes Exp $

XORGRELSTRING = Release 6.5
XORGMANNAME = X Version 11

VENDORMANNAME = XFree86
VENDORMANVERSION = Version 4.1.0.1

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
   BUILDMODULEDIR = $(BUILDLIBDIR)/modules
   BUILDMODULETOP = $(BUILDLIBTOP)/..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
       LIBEXECDIR = /usr/X11R6/libexec
        MODULEDIR = $(USRLIBDIR)/modules
   TOP_X_INCLUDES =

        ETCX11DIR = /etc/X11

          CONFDIR = $(ETCX11DIR)

           DOCDIR = $(LIBDIR)/doc
       DOCHTMLDIR = $(DOCDIR)/html
         DOCPSDIR = $(DOCDIR)/PostScript
          FONTDIR = $(LIBDIR)/fonts
     ENCODINGSDIR = $(FONTDIR)/encodings
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)/xserver
      XAPPLOADDIR = /etc/X11/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = $(BINDIR)/rgb
            FONTC = $(BINDIR)/bdftopcf
        MKFONTDIR = $(BINDIR)/mkfontdir
         XFTCACHE = $(BINDIR)/xftcache
      MKHTMLINDEX = $(BINDIR)/mkhtmlindex
          UCS2ANY = $(BINDIR)/ucs2any.pl
      BDFTRUNCATE = $(BINDIR)/bdftruncate.pl
     UCSMAPPREFIX = $(FONTDIR)/util/map-

     HTMLINDEXCMD = HtmlIndexCmd

       DOCUTILSRC = $(XTOP)/doc/util

## xclip 0.12+svn84

=== debian/changelog ===
xclip (0.12+svn84-4) unstable; urgency=medium

  * Add 01_dont-treat-TARGETS-as-contents.patch (Closes: #738643)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 12 Feb 2014 14:55:23 +0100

xclip (0.12+svn84-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Fix lintian vcs-field-not-canonical
  * Honour DEB_BUILD_OPTIONS=nocheck
    Thanks to Jakub Wilk for the patch (Closes: #738025)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 08 Feb 2014 20:00:49 +0100

xclip (0.12+svn84-2) unstable; urgency=low

  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9
  * Email change: Alessandro Ghedini -> ghedo@debian.org

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 Jun 2012 14:34:52 +0200

xclip (0.12+svn84-1) unstable; urgency=low

  [ Maximilian Gass ]
  * New release from upstream Subversion, as suggested by him in private 
    mail (closes: #601079)
  * Add dh-autoreconf to Build-Depends and debian/rules
  * Switch to source format 3.0 (quilt)
  * Bump debhelper compat to v8

  [ Alessandro Ghedini ]
  * New maintainer (Closes: #657329)
  * Remove debian/README.source (not needed with 3.0 (quilt))
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * One build dep per line, sort
  * Add get-orig-source rule
  * Update DEP5 formatting for d/copyright
  * Run tests inside xvfb
    - Build depends on xvfb, xauth and psmisc

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 06 Feb 2012 12:30:49 +0100

xclip (0.12-1) unstable; urgency=low

  * New upstrem release
  * Removed patches because they were applied upstream and removed Quilt use.
  * Removed my own manpage because it was merged upstream
  * Bumped Standards-Version to 3.8.3: no changes necessary

 -- Maximilian Gass <mxey@cloudconnected.org>  Wed, 30 Sep 2009 10:09:57 +0200

xclip (0.11-1) unstable; urgency=low

  * New upstream release (closes: #380392, #471962)
  * Taking over maintainership, suggested by old maintainer Baruch Even via
    private email. Thanks to Baruch for his previous work on this package.
  * Fixed homepage (closes: #515299)
  * Removed old patches, because upstream applied them in 0.10
  * Added Quilt patch system
  * Added patch to fix manpage section
  * Added patch to use minus signs instead of hyphens in manpage
  * Bumped Standards-Version to 3.8.2, no changes necessary.
  * Switched to machine-readable copyright file
  * Added a watch file

 -- Maximilian Gass <mxey@cloudconnected.org>  Sat, 25 Jul 2009 20:55:38 +0200

xclip (0.08-8) unstable; urgency=low

  * Set Homepage in the control header rather than the description
  * Build-dep on xutils-dev instead of xutils to fix a FTBFS (Closes: #485539)
  * Remove build-dep on x-dev, it is a transitional package now
  * Do not ignore errors on make clean

 -- Baruch Even <baruch@debian.org>  Tue, 10 Jun 2008 08:34:16 +0300

xclip (0.08-7) unstable; urgency=low

  * Correct typos in the manpage (Closes: #394538)
  * Close stdout in filter mode (Closes: #395546)
  * Link only to directly needed libraries (fixes checklib "problem") 

 -- Baruch Even <baruch@debian.org>  Thu,  2 Nov 2006 09:19:04 +0200

xclip (0.08-6) unstable; urgency=low

  * Acknowledge NMU by Jonathan Walther
  * Set manpage section to be 1x, clears a lintian warning.
  * Update Standards-Version to 3.7.2, nothing to do.
  * Switch to debhelper level 5.

 -- Baruch Even <baruch@debian.org>  Thu, 13 Jul 2006 22:33:40 +0100

xclip (0.08-5.1) unstable; urgency=low

  * Recompile for compatibility with latest X server binaries

 -- Jonathan Walther <krooger@debian.org>  Mon, 17 Apr 2006 18:18:56 -0800

xclip (0.08-5) unstable; urgency=low

  * Acknowledge NMU by Steve Langasek (Closes: #346804)
  * Expand -h text for -in and -out (Closes: #347987)
  * Move to dh compat level 4
  * Update to standards version 3.6.2, no changes needed.

 -- Baruch Even <baruch@debian.org>  Sun, 22 Jan 2006 19:16:40 +0000

xclip (0.08-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on libx11-dev, libxmu-dev, x-dev instead of on the obsolete
    xlibs-dev (closes: #346804).

 -- Steve Langasek <vorlon@debian.org>  Mon,  9 Jan 2006 03:36:15 -0800

xclip (0.08-4) unstable; urgency=low

  * Change directory when waiting for X11 events, this allows the user to
    umount the directory xclip was started from. (closes: bug#267412)

 -- Baruch Even <baruch@debian.org>  Fri, 27 Aug 2004 12:57:13 +0100

xclip (0.08-3) unstable; urgency=low

  * Fix crash when trying to: xclip --help
  * Add support for cut buffers (closes: bug#227954)

 -- Baruch Even <baruch@debian.org>  Sat, 19 Jun 2004 12:05:10 +0300

xclip (0.08-2) unstable; urgency=low

  * Taking over maintainership (closes: bug#254392)
  * Add Homepage link to description
  * Updated to latest policy version (3.6.1), no changes needed.
  * Fix a corruption bug when transferring large buffers (larger than 4096
    bytes).
  * Solve KDE integration with xclip (closes: bug#172812)

 -- Baruch Even <baruch@debian.org>  Sat, 19 Jun 2004 07:58:19 +0300

xclip (0.08-1.1) unstable; urgency=low

  * NMU
  * debian/control (Maintainer): change address from
    kim.saunders@mercuryit.com.au to kims@debian.org since the
    former bounces.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 15 Feb 2004 15:07:11 +0000

xclip (0.08-1) unstable; urgency=low

  * New upstream release (closes: bug#98769)
  * Updated package description (closes: bug#93458)
  * First upload into debian archive by Kim Saunders (upstream author & new
    package maintainer)

 -- Kim Saunders <kims@debian.org>  Mon, 17 Dec 2001 17:42:42 +1100

xclip (0.07-2) unstable; urgency=low

  * Changelog includes history from when shaleh was maintaining it
  * debian/copyright mentions  GPL can be found in /usr/share/common-licenses

 -- Kim Saunders <kim.saunders@mercuryit.com.au>  Fri, 26 Oct 2001 09:18:52 +1000



=== debian/control ===
Source: xclip
Section: x11
Priority: optional
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libxmu-dev,
 libx11-dev,
 psmisc,
 xauth,
 xvfb
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xclip.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xclip.git
Homepage: http://xclip.sourceforge.net

Package: xclip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line interface to X selections
 xclip is a command line utility that is designed to run on any system with an
 X11 implementation. It provides an interface to X selections ("the clipboard")
 from the command line. It can read data from standard in or a file and place
 it in an X selection for pasting into other X applications. xclip can also
 print an X selection to standard out, which can then be redirected to a file
 or another program.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_test:
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	xvfb-run -a ./xctest
endif

REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]svn([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	rm -rf xclip-$(VER).orig
	svn -q export -r $(REV) https://xclip.svn.sourceforge.net/svnroot/xclip/trunk \
		xclip-$(VER).orig
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
		-f xclip_$(VER).orig.tar.gz \
		xclip-$(VER).orig
	rm -r xclip-$(VER).orig

## xclip 0.13

=== debian/changelog ===
xclip (0.13-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Boyuan Yang ]
  * New upstream release 0.13. (Closes: #864440)
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Add myself into uploaders list.
    + Let xclip recommends xauth. (Closes: #900452)
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.
    + Use Rules-Requires-Root: no.
    + Update homepage field and use project on GitHub.
  * debian/watch: Monitor new upstream on GitHub.
  * debian/patches:
    - Drop old patches, merged upstream.
    + Backport upstream patches till 20180807.
  * debian/rules:
    + Enable full hardening.
    - Remove useless get-orig-source target.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Jan 2019 10:26:03 -0500

=== debian/control ===
Source: xclip
Section: x11
Priority: optional
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 libx11-dev,
 libxmu-dev,
 psmisc,
 xauth,
 xvfb,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/xclip
Vcs-Git: https://salsa.debian.org/debian/xclip.git
Homepage: https://github.com/astrand/xclip

Package: xclip
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 xauth,
Description: command line interface to X selections
 xclip is a command line utility that is designed to run on any system with an
 X11 implementation. It provides an interface to X selections ("the clipboard")
 from the command line. It can read data from standard in or a file and place
 it in an X selection for pasting into other X applications. xclip can also
 print an X selection to standard out, which can then be redirected to a file
 or another program.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_test:
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	xvfb-run -a ./xctest
endif

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xclip-$1\.tar\.gz/ \
  https://github.com/astrand/xclip/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
